Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOpenGLFreeTypeTextMapper Class Reference

`#include <vtkOpenGLFreeTypeTextMapper.h>`

Inheritance diagram for vtkOpenGLFreeTypeTextMapper:

[legend]
Collaboration diagram for vtkOpenGLFreeTypeTextMapper:

[legend]
List of all members.

## Detailed Description

2D Text annotation support

Date:
  2002/08/22 18:39:30

Revision:
  1.4

vtkOpenGLFreeTypeTextMapper provides 2D text annotation support for VTK using the FreeType and FTGL libraries. Normally the user should use vtktextMapper which in turn will use this class.

See also:
  vtkTextMapper

Created by:
  - Barre, Sebastien

CVS contributions (if > 5%):
  - Barre, Sebastien (96%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkOpenGLFreeTypeTextMapper.cxx)`
  - .`h` (`/Rendering/vtkOpenGLFreeTypeTextMapper.h)`

Tests:
  vtkOpenGLFreeTypeTextMapper (Tests)

Definition at line 52 of file vtkOpenGLFreeTypeTextMapper.h.

## Public Types
typedef vtkTextMapper | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
void | RenderOverlay (vtkViewport *viewport, vtkActor2D *actor)
virtual void | ReleaseGraphicsResources (vtkWindow *)
virtual void | GetSize (vtkViewport *viewport, int size[2])
## Static Public Methods
int | IsTypeOf (const char *type)
vtkOpenGLFreeTypeTextMapper * | SafeDownCast (vtkObject *o)
vtkOpenGLFreeTypeTextMapper * | New ()
## Protected Methods
| vtkOpenGLFreeTypeTextMapper ()
| ~vtkOpenGLFreeTypeTextMapper ()
## Protected Attributes
vtkTimeStamp | SizeBuildTime
int | LastSize [2]
int | LastLargestDescender

## Member Typedef Documentation

typedef vtkTextMapper vtkOpenGLFreeTypeTextMapper::Superclass

| Reimplemented from vtkTextMapper. Definition at line 55 of file vtkOpenGLFreeTypeTextMapper.h.

## Constructor & Destructor Documentation

vtkOpenGLFreeTypeTextMapper::vtkOpenGLFreeTypeTextMapper | ( |  | ) | `[protected]`

vtkOpenGLFreeTypeTextMapper::~vtkOpenGLFreeTypeTextMapper | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkOpenGLFreeTypeTextMapper::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkTextMapper.

int vtkOpenGLFreeTypeTextMapper::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkTextMapper.

virtual int vtkOpenGLFreeTypeTextMapper::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkTextMapper.

vtkOpenGLFreeTypeTextMapper* vtkOpenGLFreeTypeTextMapper::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkTextMapper.

vtkOpenGLFreeTypeTextMapper* vtkOpenGLFreeTypeTextMapper::New | ( |  | ) | `[static]`

| Creates a new text mapper. Reimplemented from vtkTextMapper.

virtual void vtkOpenGLFreeTypeTextMapper::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkTextMapper.

void vtkOpenGLFreeTypeTextMapper::RenderOverlay | ( | vtkViewport * | viewport,
|  | vtkActor2D * | actor
| ) | `[virtual]`

| Actally draw the text. Reimplemented from vtkMapper2D.

virtual void vtkOpenGLFreeTypeTextMapper::ReleaseGraphicsResources | ( | vtkWindow * |  | ) | `[virtual]`

| Release any graphics resources that are being consumed by this actor. The parameter window could be used to determine which graphic resources to release. Reimplemented from vtkAbstractMapper.

virtual void vtkOpenGLFreeTypeTextMapper::GetSize | ( | vtkViewport * | viewport,
|  | int | size[2]
| ) | `[virtual]`

| What is the size of the rectangle required to draw this mapper ? Reimplemented from vtkTextMapper.

## Member Data Documentation

vtkTimeStamp vtkOpenGLFreeTypeTextMapper::SizeBuildTime`[protected]`

| Definition at line 74 of file vtkOpenGLFreeTypeTextMapper.h.

int vtkOpenGLFreeTypeTextMapper::LastSize[2]`[protected]`

| Definition at line 75 of file vtkOpenGLFreeTypeTextMapper.h.

int vtkOpenGLFreeTypeTextMapper::LastLargestDescender`[protected]`

| Definition at line 76 of file vtkOpenGLFreeTypeTextMapper.h.

The documentation for this class was generated from the following file:

- Rendering/vtkOpenGLFreeTypeTextMapper.h